import type { Metadata } from 'next'

import Hero from "../components/Hero";
import Newsletter from "../components/Newsletter";
import Roadmap from "../components/Roadmap";
import Concepts from "../components/Concepts";
import Projects from "../components/Projects";

export const metadata: Metadata = {
  title: 'P4Pillon - Composer une santé en commun',
  description: 'P4Pillon est une initiative de recherche et développement en soins de premier recours ayant pour objectif de changer le paradigme du système de santé.',
}

export default function Home() {
  return (
    <>
      <Hero />
      <Concepts />
      <Projects />
      <Roadmap />
      <Newsletter />
    </>
  );
}
